# CurrencyManager

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

* [BindingManagerBase](/api/wisej.web/data-binding/wisej.web.bindingmanagerbase.md)
  * [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md)

Keeps data-bound controls synchronized with each other: showing data from the same record.

{% tabs %}
{% tab title="C#" %}

```csharp
public class CurrencyManager : BindingManagerBase
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class CurrencyManager
    Inherits BindingManagerBase
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Count

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the number of items in the list.

### ![](/files/hsR4ok3152WyAf8J2C1u) Current

[Object](https://docs.microsoft.com/dotnet/api/system.object): Returns the current item in the list.

### ![](/files/hsR4ok3152WyAf8J2C1u) List

[IList](https://docs.microsoft.com/dotnet/api/system.collections.ilist): Returns the list for this [CurrencyManager](/api/wisej.web/data-binding/wisej.web.currencymanager.md).

### ![](/files/hsR4ok3152WyAf8J2C1u) Position

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the current position within the list.

### ![](/files/hsR4ok3152WyAf8J2C1u) ShouldBind

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns true when the bound data source can accept changes. Calling [SuspendBinding](#suspendbinding) sets this flag to false and [ResumeBinding](#resumebinding) sets it to true (default).

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) AddNew()

Adds a new item to the underlying list.

**Throws:**

* [NotSupportedException](https://docs.microsoft.com/dotnet/api/system.notsupportedexception)\
  The underlying data source does not implement [IBindingList](https://docs.microsoft.com/dotnet/api/system.componentmodel.ibindinglist), or the collection element doesn't implement a public parameterless constructor, or the data source has thrown an exception because the user has attempted to add a row to a read-only or fixed-size [DataView](https://docs.microsoft.com/dotnet/api/system.data.dataview).

### ![](/files/hsR4ok3152WyAf8J2C1u) Refresh()

Forces a refresh of the data-bound list.

### ![](/files/hsR4ok3152WyAf8J2C1u) ResetCurrentItem()

Causes a control bound to this data source to re-read the current item and refresh the displayed value.

### ![](/files/hsR4ok3152WyAf8J2C1u) ResetItem(itemIndex)

Causes a control bound to this data source to re-read the item at the specified *itemIndex* and refresh the displayed value.

| Parameter     | Type                                                        | Description                             |
| ------------- | ----------------------------------------------------------- | --------------------------------------- |
| **itemIndex** | [Int32](https://docs.microsoft.com/dotnet/api/system.int32) | The index of the item that has changed. |

### ![](/files/hsR4ok3152WyAf8J2C1u) ResumeBinding()

Resumes data binding.

### ![](/files/hsR4ok3152WyAf8J2C1u) SuspendBinding()

Suspends data binding to prevents changes from updating the bound data source.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) ItemChanged

[ItemChangedEventHandler](/api/wisej.web/data-binding/wisej.web.itemchangedeventhandler.md) Fired when the current item has been altered.

### ![](/files/hsR4ok3152WyAf8J2C1u) ListChanged

[ListChangedEventHandler](https://docs.microsoft.com/dotnet/api/system.componentmodel.listchangedeventhandler) Fired when the list changes or an item in the list changes.

### ![](/files/hsR4ok3152WyAf8J2C1u) MetaDataChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the metadata of the [List](#list) has changed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.currencymanager.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
